FROM golang:1.22-alpine AS build

ARG HUGO_VERSION="v0.125.4"
ARG CGO=1

ENV CGO_ENABLED=${CGO}
ENV GOOS=linux
ENV GO111MODULE=on

RUN apk update && \
    apk add --no-cache gcc musl-dev g++ git && echo ${HUGO_VERSION}
RUN go install -tags extended github.com/gohugoio/hugo@${HUGO_VERSION}
